For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The GeneralLedgerTransaction object
          • GET/general-ledger-transactions
          • GET/general-ledger-transactions/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsGeneral Ledger Transactions

/general-ledger-transactions/{id}

Beta
GET
/accounting/v1/general-ledger-transactions/:id
GET
/api/accounting/v1/general-ledger-transactions/:id
$curl -G https://api.merge.dev/api/accounting/v1/general-ledger-transactions/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=tracking_categories,general_ledger_transaction_lines,company,accounting_period
200Retrieved
1{
2 "id": "b26fd49a-cbae-470a-a8f8-bcbc119e0390",
3 "remote_id": "987300",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "underlying_transaction_remote_id": "1234",
7 "underlying_transaction_type": "INVOICE",
8 "accounting_period": "d6e687d6-0c36-48a1-8114-35324b5cb38f",
9 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
10 "remote_updated_at": "2020-03-31T00:00:00Z",
11 "remote_created_at": "2020-03-31T00:00:00Z",
12 "tracking_categories": [
13 "b38c59b0-a9d7-4740-b1ee-5436c6751e3d",
14 "9b840d2-686a-465a-8a8e-7b028498f8e4",
15 "a47e11b6-c73b-4a0c-be31-130fc48177fa"
16 ],
17 "posting_date": "2020-03-31T00:00:00Z",
18 "general_ledger_transaction_lines": [
19 {
20 "debit_amount": "0",
21 "credit_amount": "string",
22 "foreign_debit_amount": "0",
23 "foreign_credit_amount": "123.5",
24 "remote_id": "123",
25 "account": "a47e11b6-c73b-4a0c-be31-130fc48177fa",
26 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
27 "contact": "d6e687d6-0c36-48a1-8114-35324b5cb38f",
28 "base_currency": "USD",
29 "transaction_currency": "USD",
30 "exchange_rate": "1",
31 "description": "Invoice created",
32 "tracking_categories": [
33 {},
34 {},
35 {}
36 ],
37 "item": "a47e11b6-c73b-4a0c-be31-130fc48177fa",
38 "remote_was_deleted": false,
39 "crebit_amount": 123.5,
40 "remote_data": [
41 {
42 "path": "/actions",
43 "data": [
44 "Varies by platform"
45 ]
46 }
47 ]
48 }
49 ],
50 "remote_was_deleted": true,
51 "field_mappings": {
52 "organization_defined_targets": {
53 "custom_key": "custom_value"
54 },
55 "linked_account_defined_targets": {
56 "custom_key": "custom_value"
57 }
58 },
59 "remote_data": [
60 {
61 "path": "/platform-endpoint",
62 "data": null
63 }
64 ]
65}

Returns a GeneralLedgerTransaction object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/general-ledger-transactions

Next

The IncomeStatement object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
underlying_transaction_remote_idstring or null<=50 characters
The third party remote ID of the underlying transaction.
underlying_transaction_typeenum or null

The type of the underlying transaction.

  • INVOICE - INVOICE
  • EXPENSE - EXPENSE
  • TRANSACTION - TRANSACTION
  • JOURNAL_ENTRY - JOURNAL_ENTRY
  • PAYMENT - PAYMENT
  • VENDOR_CREDIT - VENDOR_CREDIT
  • CREDIT_NOTE - CREDIT_NOTE
accounting_periodstring or nullformat: "uuid"
The accounting period that the GeneralLedgerTransaction was generated in.
companystring or nullformat: "uuid"
The company the GeneralLedgerTransaction belongs to.
remote_updated_atdatetime or null
When the third party's GeneralLedgerTransaction entry was updated.
remote_created_atdatetime or null
When the third party's GeneralLedgerTransaction entry was created.
tracking_categorieslist of strings
posting_datedatetime or null
The date that the transaction was posted to the general ledger.
general_ledger_transaction_lineslist of objectsRead-only

A list of “General Ledger Transaction Applied to Lines” objects.

remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only